ControllerArtefactTypeTransformation (Grails 4.0.2)
Date: 2020-02-21

Package: org.grails.compiler.web

## [Java] Class ControllerArtefactTypeTransformation

- org.grails.compiler.web.ControllerArtefactTypeTransformation

- A transformation that makes an Artefact a controller

  Authors:
    Graeme Rocher
  Since:
    3.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ArtefactTypeAstTransformation` | `compilationUnit`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.lang.Class` | `getAnnotationTypeClass()`
    `` | `protected java.lang.String` | `resolveArtefactType(org.codehaus.groovy.control.SourceUnit sourceUnit, org.codehaus.groovy.ast.AnnotationNode annotationNode, org.codehaus.groovy.ast.ClassNode classNode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ArtefactTypeAstTransformation` | `doPerformInjectionOnArtefactType, findInjectors, getAnnotationType, getAnnotationTypeClass, getAstAppliedMarkerClass, hasArtefactType, isApplied, isArtefactAnnotationNode, markApplied, performInjection, performInjectionOnArtefactType, performTraitInjectionOnArtefactType, postProcess, resolveArtefactType, setCompilationUnit, visit`
    `class AbstractArtefactTypeAstTransformation` | `performInjectionOnArtefactType`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### @java.lang.Override protected java.lang.Class getAnnotationTypeClass()

    - #### @java.lang.Override protected java.lang.String resolveArtefactType(org.codehaus.groovy.control.SourceUnit sourceUnit, org.codehaus.groovy.ast.AnnotationNode annotationNode, org.codehaus.groovy.ast.ClassNode classNode)